Summary:	Heterogeneous set of I2C tools for Linux
Name:		i2c-tools
Version:	3.1.2
Release:	4
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.lm-sensors.org/wiki/I2CTools
Source0:	http://dl.lm-sensors.org/i2c-tools/releases/%{name}-%{version}.tar.bz2
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)
Requires:	udev
Conflicts:	lm_sensors < 3.0.0

%description
This package contains a heterogeneous set of I2C tools for Linux: a bus
probing tool, a chip dumper, register-level access helpers, EEPROM
decoding scripts, and more.

%files
%defattr(0644,root,root,0755)
%doc CHANGES COPYING README
%attr(660,root,root) %dev(c,89,0) /lib/udev/devices/i2c-0
%attr(660,root,root) %dev(c,89,0) /lib/udev/devices/i2c-1
%attr(660,root,root) %dev(c,89,0) /lib/udev/devices/i2c-2
%attr(660,root,root) %dev(c,89,0) /lib/udev/devices/i2c-3
#%attr(0755,root,root) %{_bindir}/*
#%attr(0755,root,root) %{_sbindir}/*
%exclude %{_sbindir}/eeprog
%exclude %{_sbindir}/eeprom
%exclude %{_sbindir}/eepromer
%attr(0755,root,root) %{_bindir}/ddcmon
%attr(0755,root,root) %{_bindir}/decode-dimms
%attr(0755,root,root) %{_bindir}/decode-edid
%attr(0755,root,root) %{_bindir}/decode-vaio
%attr(0755,root,root) %{_sbindir}/i2cdetect
%attr(0755,root,root) %{_sbindir}/i2cdump
%attr(0755,root,root) %{_sbindir}/i2cget
%attr(0755,root,root) %{_sbindir}/i2cset
%attr(0755,root,root) %{_sbindir}/i2c-stub-from-dump
%{_mandir}/man8/i2cdetect.8*
%{_mandir}/man8/i2cdump.8*
%{_mandir}/man8/i2cget.8*
%{_mandir}/man8/i2cset.8*
%{_mandir}/man8/i2c-stub-from-dump.8*
%{_mandir}/man1/decode-dimms.1*
%{_mandir}/man1/decode-vaio.1*

#----------------------------------------------------------------------------

%package eepromer
Summary:	Programs for reading/writing i2c/smbus eeproms
Group:		System/Kernel and hardware
Requires:	%{name} = %{EVRD}

%description eepromer
Programs for reading/writing i2c/smbus eeproms. Notice that writing the
eeproms in your system is very dangerous and is likely to render your system
unusable. Do not install, let alone use this, unless you really, _really_ know
what you are doing.

%files eepromer
%defattr(0644,root,root,0755)
%doc eepromer/README eepromer/README.eeprom eepromer/README.eepromer eepromer/README.eeprog
%attr(0755,root,root) %{_sbindir}/eeprog
%attr(0755,root,root) %{_sbindir}/eeprom
%attr(0755,root,root) %{_sbindir}/eepromer

#----------------------------------------------------------------------------

%package -n python-smbus
Summary:	Python module for SMBus access via I2C
Group:		System/Kernel and hardware
Requires:	python

%description -n python-smbus
This Python module allows SMBus access through the I2C /dev interface
on Linux hosts. The host kernel must have I2C support, I2C device
interface support, and a bus adapter driver.

%files -n python-smbus
%defattr(0644,root,root,0755)
%doc py-smbus/README
%{py_platsitedir}/smbus*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%make CFLAGS="%{optflags}"

pushd eepromer
%make CFLAGS="%{optflags} -I../include"
popd

pushd py-smbus
CFLAGS="%{optflags} -I../include" python setup.py build
popd

%install
%makeinstall
cp -a eepromer/eeprog eepromer/eeprom eepromer/eepromer %{buildroot}%{_sbindir}

pushd py-smbus
python setup.py install --root=%{buildroot} --compile --optimize=2
popd

rm -r %{buildroot}%{_includedir}/linux

%changelog

* Tue Dec 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.1.2-4
- (f88f7cc) Bump release


